IncidentFlow
Open app
API navigation

Get incident timeline

GET
/api/v1/incidents/{incident_id}/timeline

Returns events for an incident in the authenticated workspace. Requires a personal API key with the incidents:read scope.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Personal API key with the incidents:read scope.

Path Parameters

incident_id*Incident Id

Incident identifier.

Query Parameters

limit?Limit

Maximum events to return.

Range1 <= value <= 1000
Default500

Response Body

Successful Response

application/json
  1. response
incident_id*Incident Id
events?array<>
Example Request
curl --fail-with-body --silent --show-error \+  "${INCIDENTFLOW_API_BASE_URL:-https://api.incidentflow.io}/api/v1/incidents/${INCIDENTFLOW_INCIDENT_ID}/timeline?limit=500" \+  -H "Authorization: Bearer ${INCIDENTFLOW_API_TOKEN}"
Example Response
{  "incident_id": "11111111-1111-1111-1111-111111111111",  "events": [    {      "event_id": "33333333-3333-3333-3333-333333333333",      "occurred_at": "2026-10-25T13:00:00Z",      "event_name": "external_incident.detected",      "event_category": "incident",      "payload": {        "message": "Elevated API errors"      },      "provenance": {},      "evidence_refs": [],      "correlation_type": "provider_incident_key",      "correlation_score": 1    }  ]}